import 'package:flutter_test/flutter_test.dart';

import 'package:cnpj_cpf/cnpj_cpf.dart';

void main() {
  test(
    'validate a cpf',
    () {
      expect(CnpjCpf.isValid('00917341007'), true);
      expect(CnpjCpf.isValid('00917341077'), false);
    },
  );

  test(
    'validate a cnpj',
    () {
      expect(
        CnpjCpf.isValid(
          CnpjCpf.randomCnpj(),
        ),
        true,
      );
      expect(
        CnpjCpf.isValid(
          CnpjCpf.randomCnpj(
            withMask: true,
          ),
        ),
        true,
      );
    },
  );
}
